org.springframework.batch.integration.partition

## Class BeanFactoryStepLocator

- java.lang.Object
- - org.springframework.batch.integration.partition.BeanFactoryStepLocator

- All Implemented Interfaces:
    StepLocator, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware

      public class BeanFactoryStepLocator
      extends java.lang.Object
      implements StepLocator, org.springframework.beans.factory.BeanFactoryAware

  A `StepLocator` implementation that just looks in its enclosing bean factory for components of type `Step`.
  Author:
    Dave Syer, Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanFactoryStepLocator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Step` | `getStep(java.lang.String stepName)` Look up a bean with the provided name of type `Step`.
    `java.util.Collection<java.lang.String>` | `getStepNames()` Look in the bean factory for all beans of type `Step`.
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanFactoryStepLocator

          public BeanFactoryStepLocator()

  - ### Method Detail

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### getStep

          public Step getStep(java.lang.String stepName)

      Look up a bean with the provided name of type `Step`.
      Specified by:
        `getStep` in interface `StepLocator`
      See Also:
        `StepLocator.getStep(String)`

    - #### getStepNames

          public java.util.Collection<java.lang.String> getStepNames()

      Look in the bean factory for all beans of type `Step`.
      Specified by:
        `getStepNames` in interface `StepLocator`
      Throws:
        `java.lang.IllegalStateException` - if the `BeanFactory` is not listable
      See Also:
        `StepLocator.getStepNames()`